package test.com.fp.json;

import java.math.BigDecimal;
import java.sql.Date;
import java.sql.Timestamp;

import com.fp.dto.AbstractDataTransport;

public class TestingBean extends AbstractDataTransport implements Cloneable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Date date;
	private Timestamp timestamp;
	private String string;
	private int entero;
	private BigDecimal amount;
	private boolean flag;
	private TestingBeanKey pk;

	public TestingBean() {

	}

	public TestingBean(Date date, Timestamp timestamp, String string, int entero, BigDecimal amount, boolean flag) {
		this.date = date;
		this.timestamp = timestamp;
		this.string = string;
		this.entero = entero;
		this.amount = amount;
		this.flag = flag;
	}

	@Override
	public Object cloneMe() throws CloneNotSupportedException {
		TestingBean p = (TestingBean) this.clone();
		return p;
	}
    
	public BigDecimal getAmount() {
		return amount;
	}

	public Date getDate() {
		return date;
	}

	public int getEntero() {
		return entero;
	}

	public TestingBeanKey getPk() {
		return pk;
	}

	public String getString() {
		return string;
	}

	public Timestamp getTimestamp() {
		return timestamp;
	}

	public boolean isFlag() {
		return flag;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public void setEntero(int entero) {
		this.entero = entero;
	}

	public void setFlag(boolean flag) {
		this.flag = flag;
	}

	public void setPk(TestingBeanKey pk) {
		this.pk = pk;
	}

	public void setString(String string) {
		this.string = string;
	}

	public void setTimestamp(Timestamp timestamp) {
		this.timestamp = timestamp;
	}


}
